## smart-meter-texas 0.5.5

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os
import sys
import webbrowser
from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re
import sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8
	flake8 smart_meter_texas tests

test: ## run tests quickly with the default Python
	pytest

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source smart_meter_texas -m pytest
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/smart_meter_texas.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ smart_meter_texas
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

=== requirements.txt ===
aiohttp>=3.7.4,<4
asn1>=2.4.1
certifi>=2021.5.30
pyOpenSSL>=20.0.1
python-dateutil>=2.8.1
pytz>=2021.1
tenacity>=8.0.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = smart_meter_texas
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
smart-meter-texas (0.5.5-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 17:47:25 +0900

smart-meter-texas (0.5.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1077024)

 -- Edward Betts <edward@4angle.com>  Thu, 25 Jul 2024 19:57:41 +0900

=== debian/control ===
Source: smart-meter-texas
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest-runner,
               python3-aiohttp <!nocheck>,
               python3-asn1 <!nocheck>,
               python3-openssl <!nocheck>,
               python3-dateutil <!nocheck>,
               python3-tenacity <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/grahamwetzler/smart-meter-texas
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/smart-meter-texas
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/smart-meter-texas.git

Package: python3-smart-meter-texas
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-certifi, python3-openssl
Description: Retrieve data from the unofficial Smart Meter Texas API
 This library allows for asynchronous connection to the unofficial Smart Meter
 Texas API using aiohttp. It supports obtaining the dashboard and current meter
 reading. Several other API endpoints are not implemented.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=smart-meter-texas

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf smart_meter_texas.egg-info/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/smart-meter-texas-$1\.tar\.gz/ \
  https://github.com/grahamwetzler/smart-meter-texas/tags .*/v?(\d\S+)\.tar\.gz
